package com.ff.base.enums;


import lombok.Getter;

@Getter
public enum PageType {
    H5_IOS("H5-iOS", "H5"),
    APP_ANDROID("APP-Android", "APP"),
    APP_IOS("APP-iOS", "APP"),
    PC_WINDOWS("PC-Windows", "APP"),
    PC_MAC("PC-Mac", "APP"),
    H5_ANDROID("H5-Android", "H5");
    ;

    private final String value;
    private final String type;

    PageType(String value, String type) {
        this.value = value;
        this.type = type;
    }

    /**
     * 根据 value 查找对应的 type
     * @param value 要查找的值
     * @return 对应的 type，如果未找到返回 null
     */
    public static String getTypeByValue(String value) {
        for (PageType pageType : PageType.values()) {
            if (pageType.getValue().equals(value)) {
                return pageType.getType();
            }
        }
        return null;
    }
}